Skip to main content

companyPlans

Returns company plans collection

companyPlans(
companyId: ID!
pagination: BasePaginationInput! = [object Object]
filters: CompanyPlansSearchInput = { }
): CompanyPlanCollection

Arguments​

companyPlans.companyId ● ID! non-null scalar​

companyPlans.pagination ● BasePaginationInput! non-null input​

companyPlans.filters ● CompanyPlansSearchInput input​

Type​

CompanyPlanCollection object​

CompanyPlanCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetCompanyPlans($companyId: ID!) {\n companyPlans(companyId: $companyId) { collection { id name assetLimit } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute